<?php
include("config.php");
$PageTitel = "Historie";
include("tabtop.php");

// Status-Zahl in Text wandeln
Function GetFieldStatus($DBZeile, $Field)
{
	$Status = GetField($DBZeile, $Field);
	switch ($Status)
	{
	case 0:
		$Status = "Historie";
		break;
	case 1:
		$Status = "offen";
		break;
	case 2:
		$Status = "aktiv";
		break;
	case 3:
		$Status = "fertig";
		break;
	case 4:
		$Status = "nicht bearbeiten";
		break;
	case 5:
		$Status = "Sp&auml;ter";
		break;
	case 6:
		$Status = "testen";
		break;
	}
	return $Status;
};

// Status-Zahl in Farbe wandeln
Function GetFieldStatusCl($DBZeile, $Field)
{
	$Status = GetField($DBZeile, $Field);
	$Cl = "#FFFFFF";
	switch ($Status)
	{
	case 0:
		$Cl = "#E0E0E0";
		break;
	case 1:
		$Cl = "#FFA0A0";
		break;
	case 2:
		$Cl = "#FFFFA0";
		break;
	case 3:
		$Cl = "#A0FFA0";
		break;
	case 4:
		$Cl = "#A0A0FF";
		break;
	case 5:
		$Cl = "#C9CA82";
		break;
	case 6:
		$Cl = "#FFC0FF";
		break;
	default:
		$C1 = "#FFFFFF";
	}
	return $Cl;
};

// Status-Zahl in Text wandeln
Function GetFieldFStatus($DBZeile, $Field)
{
	$Status = GetField($DBZeile, $Field);
	switch ($Status)
	{
	case 0:
		$Status = "n.v.";
		break;
	case 1:
		$Status = "Bug";
		break;
	case 3:
		$Status = "Feature";
		break;
	}
	return $Status;
};

// Anzeige Seite
$verbindung = OpenDB();
$ergebnis = MyQuery("SELECT * FROM historie ORDER BY Bezeichnung");
echo '<table class="table">';
#echo '<table>';
echo "<tr>";
echo "<th>ID</th>";
echo "<th>Projekt</th>";
echo "<th>Bezeichnung</th>";
echo "<th>Datum</th>";
echo "<th>Version</th>";
echo "<th>Beschreibung</th>";
echo "<th>Status</th>";
echo "<th>FStatus</th>";
echo "<th>SNr</th>";
echo "<th>GNr</th>";
echo "<th>FDadum</th>";
echo "<th>FVersion</th>";
echo "<th>Kennz</th>";
echo "<th>Aufwand</th>";
echo "<th>Handbuch</th>";
echo "</tr>\n";
while ($zeile = MyFetchArray($ergebnis))
{
	echo "<tr>";
	echo "<td>". GetField($zeile, "ID") . "</td>";
	echo "<td>". GetField($zeile, "Projekt") . "</td>";
	echo "<td>". GetField($zeile, "Bezeichnung") . "</td>";
	echo "<td>". GetField($zeile, "Datum") . "</td>";
	echo "<td>". GetField($zeile, "Version") . "</td>";
	echo "<td>". GetField($zeile, "Beschreibung") . "</td>";
	echo "<td bgcolor=\"".GetFieldStatusCl($zeile, "Status")."\">". GetFieldStatus($zeile, "Status") . "</td>"; // BUG: Farbe wird nicht gezeigt wegen Stylesheet
	echo "<td bgcolor=\"".GetFieldStatusCl($zeile, "FStatus")."\">". GetFieldFStatus($zeile, "FStatus") . "</td>"; // BUG: Farbe wird nicht gezeigt wegen Stylesheet
	echo "<td>". GetField($zeile, "SNr") . "</td>";
	echo "<td>". GetField($zeile, "GNr") . "</td>";
	echo "<td>". GetField($zeile, "FDatum") . "</td>";
	echo "<td>". GetField($zeile, "FVersion") . "</td>";
	echo "<td>". GetField($zeile, "Kennz") . "</td>";
	echo "<td>". GetField($zeile, "Aufwand") . "</td>";
	echo "<td>". GetFieldHandbuch($zeile, "Handbuch") . "</td>";
	echo "</tr>\n";
}
echo "</table>";

MyFreeResult( $ergebnis );

?>