<?php
include("config.php");
$PageTitel = "Projekte verwalten";
include("tabtop.php");

// Status-Zahl in Text wandeln
Function GetFieldStatus($DBZeile, $Field)
{
	$Status = GetField($DBZeile, $Field);
	switch ($Status)
	{
	case 0:
		$Status = "<kein>";
		break;
	case 1:
		$Status = "offen";
		break;
	case 2:
		$Status = "aktiv";
		break;
	case 3:
		$Status = "fertig";
		break;
	case 4:
		$Status = "pr&uuml;fen";
		break;
	case 5:
		$Status = "nv";
		break;
	}
	return $Status;
};

// Status-Zahl in Farbe wandeln
Function GetFieldStatusCl($DBZeile, $Field)
{
	$Status = GetField($DBZeile, $Field);
	$Cl = "#FFFFFF";
	switch ($Status)
	{
	case 0:
		$Cl = "#E0E0E0";
		break;
	case 1:
		$Cl = "#FFA0A0";
		break;
	case 2:
		$Cl = "#FFFFA0";
		break;
	case 3:
		$Cl = "#A0FFA0";
		break;
	case 4:
		$Cl = "#A0A0FF";
		break;
	case 5:
		$Cl = "#C9CA82";
		break;
	default:
		$C1 = "#FFFFFF";
	}
	return $Cl;
};

$verbindung = OpenDB();
echo "<table border=\"0\" width=\"100%\">"; // bergeordnete Haupt-Tabelle der Seite
echo "<tr><td rowspan=2 align=\"left\" valign=\"top\" width=\"200px\">"; // bergeordnete Haupt-Tabelle der Seite, linke Spalte mit Baum

$Table="projekt";
$MainFile="projekt.php";
include("treeview.php");

echo '</td><td align=\"left\" valign=\"top\" height=\"1%\">'; // bergeordnete Haupt-Tabelle der Seite, linke Spalte mit Baum Ende, Rechte Spalte mit Projekt

echo '<table class="table">'; // Projekt Tabelle
$sql="SELECT * FROM projekt";
if (isset($_GET["TVID"]))
{
	$TVID=intval($_GET["TVID"]);
	if ($TVID > 0)
	{
		$i = 0;
		$lst[] = $TVID;
		do // Suche alle Unter-Projekte
		{
			$ergebnis = MyQuery("SELECT ID FROM projekt WHERE ID_ID = ".$lst[$i]);
			while ($zeile = MyFetchArray($ergebnis))
				$lst[] = GetField($zeile, "ID");
			MyFreeResult($ergebnis);
			$i++;
		} while (($i + 1) < count($lst));
		$i = 0;
		foreach ($lst as $lstdet) // ID's zusammensetzen
		{ 
			if ($i == 0)
				$sql=$sql." WHERE ID=".$lstdet;
			else
				$sql=$sql." OR ID=".$lstdet;
			$i++; 
		} 
	}
} else {
	$TVID=0;
}
if (isset($_GET["ID"]))	// Projekt-Details zeigen
{
	$ID=intval($_GET["ID"]);
} else {
	$ID=0;
}
$ergebnis = MyQuery($sql." ORDER BY Bezeichnung");
echo "<tr>";
echo "<th>ID</th>";
echo "<th>Bezeichnung</th>";
echo "<th>Beschreibung</th>";
echo "<th>Handbuch</th>";
echo "<th>OptA</th>";
echo "<th>OptB</th>";
echo "<th>OptC</th>";
echo "<th>MengeFertig</th>";
echo "<th>MengeOffen</th>";
echo "<th>Termin</th>";
echo "</tr>\n";
$Foto_ID = 0;
while ($zeile = MyFetchArray($ergebnis))
{
	$bolds="";
	$bolde="";
	if (GetField($zeile, "ID") == $ID)
	{
		$bolds="<b>";
		$bolde="</b>";
		$Foto_ID = GetField($zeile, "Foto_ID");
	}
	echo "<tr>";
	echo "<td>".$bolds. GetField($zeile, "ID") . $bolde."</td>";
	echo "<td><a href=projekt.php?TVID=".$TVID."&ID=".GetField($zeile, "ID").">".$bolds. GetField($zeile, "Bezeichnung") . $bolde."</a></td>";
	echo "<td>".$bolds. GetField($zeile, "Beschreibung") . $bolde."</td>";
	echo "<td>".$bolds. GetFieldHandbuch($zeile, "Handbuch") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "OptA") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "OptB") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "OptC") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "MengeFertig") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "MengeOffen") . $bolde."</td>";
	echo "<td>".$bolds. GetField($zeile, "Termin") . $bolde."</td>";
	echo "</tr>\n";
}
echo "</table>";
MyFreeResult($ergebnis);

echo "</td><tr><td align=\"left\" valign=\"top\">"; // bergeordnete Haupt-Tabelle der Seite, Rechte Spalte mit Projekt, dann unten mit Projektpos
if ($ID > 0) // Bauteil Details zeigen
{
	Foto($Foto_ID); // Bild mit ID darstellen
	
	$sql="SELECT p.*, k.Bezeichnung AS Kiste, l.LagerNr, c.Bezeichnung As Gehause FROM projektpos p";
	$sql=$sql." LEFT JOIN bauteillager l ON (l.ID = p.BauteilLager_ID)";
	$sql=$sql." LEFT JOIN kiste k ON (k.ID = l.Kiste_ID)";
	$sql=$sql." LEFT JOIN ".$P_SQLQuote."case".$P_SQLQuote." c ON (c.ID = l.Case_ID)";
	$sql=$sql." WHERE p.Projekt_ID=".$ID;
	$ergebnis = MyQuery($sql." ORDER BY Bezeichnung");
	echo "<table class=\"table\">"; // BauteilLager-Tabelle
	echo "<tr>";
	echo "<th>ID</th>";
	echo "<th>Bezeichnung</th>";
	echo "<th>Symbol</th>";
	echo "<th>Menge</th>";
	echo "<th>Status</th>";
	echo "<th>Variante</th>";
	echo "<th>Geh&auml;use</th>";
	echo "<th>SMD</th>";
	echo "<th>Top</th>";
	echo "<th>Kiste</th>";
	echo "<th>Fach</th>";
	echo "</tr>\n";
	while ($zeile = MyFetchArray($ergebnis))
	{
		echo "<tr>";
		echo "<td>". GetField($zeile, "ID") . "</td>";
		echo "<td>". GetField($zeile, "Bezeichnung") . "</td>";
		echo "<td>". GetField($zeile, "Symbol") . "</td>";
		echo "<td>". GetField($zeile, "Menge") . "</td>";
	echo "<td bgcolor=\"".GetFieldStatusCl($zeile, "Status")."\">". GetFieldStatus($zeile, "Status") . "</td>"; // BUG: Farbe wird nicht gezeigt wegen Stylesheet
		echo "<td>". GetField($zeile, "Variante") . "</td>";
		echo "<td>". GetField($zeile, "Gehause") . "</td>";
		echo "<td>". GetFieldJN($zeile, "SMD") . "</td>";
		echo "<td>". GetFieldJN($zeile, "Top") . "</td>";
		echo "<td>". GetField($zeile, "Kiste") . "</td>";
		echo "<td>". GetField($zeile, "LagerNr") . "</td>";
		echo "</tr>\n";
	}
	echo "</table>\n";
	MyFreeResult( $ergebnis );
}
echo "</td></tr></table>\n"; // bergeordnete Haupt-Tabelle der Seite

?>